Subject: FVWM: Sloppy/Mouse Focus and Transients

From: Adam Tla/lka <[email-masked]>
Date: Fri, 3 Mar 2000 10:18:56 +0100

Hello all !

I am using fvwm-2.2.4 and SloppyFocus mouse policy.
I tried to solve problem with transient windows generated by Netscape
and other apps. 
My solution is to bound function to map event:

AddToFunc WarpToTransient I Current (!Transient)
Next (CurrentDesk CurrentPage CirculateHit Transient) WarpToWindow 50 50

*FvwmEvent map WarpToTransient

Of course it's not quite correct if we activate another app while transient
window is on the screen. But if we use popup just after mapping and close it
it works good.

Regards

-- 
 . .  Adam Tla/lka      mailto:[email-masked]    ^v^ ^v^ ^v^
  )   System  & Network Administration Group           ~~~~~~
  -  Computer Center,  Technical University of Gdansk, Poland
     PGP public key:   finger [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].